# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91"
name = "ethexe-db"
version = "2.0.0"
authors = ["Gear Technologies"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Database abstractions and implementations for ethexe"
homepage = "https://gear-tech.io"
documentation = "https://docs.rs/ethexe-db"
readme = false
license = "GPL-3.0"
repository = "https://github.com/gear-tech/gear"

[features]
default = ["mock"]
mock = ["ethexe-common/mock"]

[lib]
name = "ethexe_db"
path = "src/lib.rs"

[dependencies.alloy]
version = "2.0"

[dependencies.anyhow]
version = "1.0.86"
default-features = false

[dependencies.auto_impl]
version = "1.3.0"

[dependencies.dashmap]
version = "5.5.3"

[dependencies.delegate]
version = "0.13.5"

[dependencies.derive_more]
version = "2.0.1"
features = ["full"]
default-features = false

[dependencies.ethexe-common]
version = "=2.0.0"
features = ["std"]
default-features = false

[dependencies.ethexe-ethereum]
version = "=2.0.0"
default-features = false

[dependencies.ethexe-runtime-common]
version = "=2.0.0"
features = ["std"]
default-features = false

[dependencies.flate2]
version = "1"

[dependencies.futures]
version = "0.3"
default-features = false

[dependencies.gear-core]
version = "=2.0.0"
features = ["std"]
default-features = false

[dependencies.gear-workspace-hack]
version = "0.1.0"

[dependencies.gprimitives]
version = "=2.0.0"
features = ["std"]
default-features = false

[dependencies.gsigner]
version = "=2.0.0"
default-features = false

[dependencies.hex]
version = "0.4.3"
default-features = false

[dependencies.log]
version = "0.4.22"
default-features = false

[dependencies.parity-scale-codec]
version = "3.7.5"
default-features = false

[dependencies.paste]
version = "1.0"

[dependencies.scale-info]
version = "2.11"
features = ["derive"]
default-features = false

[dependencies.serde]
version = "^1"
default-features = false

[dependencies.serde_json]
version = "1.0.135"
features = ["alloc"]
default-features = false

[dependencies.tracing]
version = "0.1.40"
default-features = false

[dev-dependencies.ethexe-common]
version = "=2.0.0"
features = ["mock"]
default-features = false

[dev-dependencies.indoc]
version = "2.0.7"

[dev-dependencies.scale-info]
version = "2.11"
features = ["docs"]
default-features = false

[dev-dependencies.scopeguard]
version = "1.2.0"
default-features = false

[dev-dependencies.sha3]
version = "0.10.8"
default-features = false

[dev-dependencies.tempfile]
version = "3.19"

[target.'cfg(not(target_env = "msvc"))'.dependencies.rocksdb]
version = "0.21"
features = [
    "snappy",
    "jemalloc",
]
default-features = false

[target.'cfg(target_env = "msvc")'.dependencies.rocksdb]
version = "0.21"
features = ["snappy"]
default-features = false
